<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
$erreur=0;
$select=0;
$texte=Null;
$test_serveur=0;
//RECUPERATION DES DONNEES
$server=(isset($_SERVER["SERVER_NAME"])) ? $_SERVER["SERVER_NAME"] : Null;
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$the_id=(isset($_SESSION['the_id'])) ? $_SESSION['the_id'] : Null;
$envoye=(isset($_POST['envoye'])) ? $_POST['envoye'] : Null;
$nom=(isset($_POST['nom'])) ? $_POST['nom'] : Null;
$description=(isset($_POST['description'])) ? $_POST['description'] : Null;
$categorie=(isset($_POST['categorie'])) ? $_POST['categorie'] : Null;
$lieu=(isset($_POST['lieu'])) ? $_POST['lieu'] : Null;
$contact=(isset($_POST['contact'])) ? $_POST['contact'] : Null;
$adresse=(isset($_POST['adresse'])) ? $_POST['adresse'] : Null;
$email=(isset($_POST['email'])) ? $_POST['email'] : Null;
$telephone=(isset($_POST['telephone'])) ? $_POST['telephone'] : Null;
$fax=(isset($_POST['fax'])) ? $_POST['fax'] : Null;
$lien=(isset($_POST['lien'])) ? $_POST['lien'] : Null;
$url=(isset($_POST['url'])) ? $_POST['url'] : Null;
$date_debut=(isset($_POST['date_debut'])) ? $_POST['date_debut'] : "jj/mm/aaaa";
$date_fin=(isset($_POST['date_fin'])) ? $_POST['date_fin'] : "jj/mm/aaaa";
$heure_debut=(isset($_POST['heure_debut'])) ? $_POST['heure_debut'] : "hh:mm";
$heure_fin=(isset($_POST['heure_fin'])) ? $_POST['heure_fin'] : "hh:mm";
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_gpc())
{
$date_debut=stripslashes($date_debut);
$date_fin=stripslashes($date_fin);
$heure_debut=stripslashes($heure_debut);
$heure_fin=stripslashes($heure_fin);
$nom=stripslashes($nom);
$description=stripslashes($description);
$lieu=stripslashes($lieu);
$contact=stripslashes($contact);
$adresse=stripslashes($adresse);
$email=stripslashes($email);
$telephone=stripslashes($telephone);
$fax=stripslashes($fax);
$lien=stripslashes($lien);
$url=stripslashes($url);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$date_debut=mysql_real_escape_string($date_debut);
$date_fin=mysql_real_escape_string($date_fin);
$heure_debut=mysql_real_escape_string($heure_debut);
$heure_fin=mysql_real_escape_string($heure_fin);
$nom=mysql_real_escape_string($nom);
$description=mysql_real_escape_string($description);
$lieu=mysql_real_escape_string($lieu);
$contact=mysql_real_escape_string($contact);
$adresse=mysql_real_escape_string($adresse);
$email=mysql_real_escape_string($email);
$telephone=mysql_real_escape_string($telephone);
$fax=mysql_real_escape_string($fax);
$lien=mysql_real_escape_string($lien);
$url=mysql_real_escape_string($url);
//CONTROLE DE LA VALIDITE DES ID
if (isset($categorie) AND (!is_numeric($categorie)))
{
die();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<link rel="stylesheet" href="../include/datepicker/datepicker.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script type="text/javascript" src="../include/datepicker/datepicker.js"></script>
<script type="text/javascript" src="../include/date.js"></script>
<script type="text/javascript" src="../include/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="../include/check_event.js"></script>
<script type="text/javascript">
<!--
<?php
if ($editeur_html)
{
?>
tinyMCE.init({
	mode: "exact",
	elements : "description",
	theme : "simple",
	language : "fr"
});
<?php
}
?>	
$(function()
{
	$('.date-pick').datePicker();
});
-->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a href=\"index.php\">vous reconnecter</a>.</p>\n";
}
else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('ajouter','actif');
$auth=isAutorise($auth);
$auth_ajout=$auth['ajouter'];
$auth_actif=$auth['actif'];
if (!$auth_ajout)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}
//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>Ajouter un &eacute;v&eacute;nement</h2>
<?php
//SI LE FORMULAIRE VIENT D'ETRE ENVOYE
if ($envoye)
{
if (!$nom OR !$description OR !$categorie OR !$date_debut OR $date_debut == "jj/mm/aaaa")
{
echo "<p class=\"erreur\">Erreur : merci de compl&eacute;ter tous les champs obligatoires.</p>\n";
$erreur="1";
}
elseif (!testDate($date_debut))
{
echo "<p class=\"erreur\">Erreur : la date de d&eacute;but est invalide.</p>\n";
$erreur="1";
}
elseif ($date_fin AND $date_fin != "jj/mm/aaaa" AND !testDate($date_fin))
{
echo "<p class=\"erreur\">Erreur : la date de fin est invalide.</p>\n";
$erreur="1";
}
elseif ($heure_debut AND $heure_debut != "hh:mm" AND !testHeure($heure_debut))
{
echo "<p class=\"erreur\">Erreur : l'heure de d&eacute;but est invalide.</p>\n";
$erreur="1";
}
elseif ($heure_fin AND $heure_fin != "hh:mm" AND !testHeure($heure_fin))
{
echo "<p class=\"erreur\">Erreur : l'heure de fin est invalide.</p>\n";
$erreur="1";
}
elseif ($email AND !check_email($email))
{
echo "<p class=\"erreur\">Erreur : l'adresse e-mail est invalide.</p>\n";
$erreur="1";
}
else
{
$date_debut=mysql_date($date_debut);
if ($date_fin AND $date_fin != "jj/mm/aaaa")
{
$date_fin=mysql_date($date_fin);
}
else
{
$date_fin=$date_debut;
}
if ($heure_debut == "hh:mm")
{
$heure_debut="00:00";
}
if ($heure_fin == "hh:mm")
{
$heure_fin="00:00";
}
if ($url == "http://")
{
$url="";
}
if (!$lien AND $url)
{
$lien=$url;
}
//SUPPRESION DU CODE HTML
$nom=strip_tags($nom);
$lieu=strip_tags($lieu);
$contact=strip_tags($contact);
$adresse=strip_tags($adresse);
$description=cleanHtml($description);
//AJOUT DES SAUTS DE LIGNE
if (!$editeur_html)
{
$description=nl2br($description);
}
$query="INSERT INTO $table_agenda (date_debut,date_fin,heure_debut,heure_fin,nom,description,categorie,lieu,contact,adresse,email,telephone,fax,lien,url,id_user,actif) VALUES ('$date_debut','$date_fin','$heure_debut','$heure_fin','$nom','$description','$categorie','$lieu','$contact','$adresse','$email','$telephone','$fax','$lien','$url','$the_id','$auth_actif')";
$result=mysql_query($query);
//ENVOI D'UN EMAIL A L'ADMINISTRATEUR
if ($auth_actif == "0" AND $propositions_utilisateurs)
{
//ON VERIFIE SI AU MOINS UNE ADRESSE EMAIL EST DANS LA BASE DE DONNEES
$query="SELECT email FROM $table_users WHERE email LIKE '%@%' AND gerer = '1'";
$result=mysql_query($query);
if($result)
{
$total=mysql_num_rows($result);
if ($total)
{
//ON ENVOIE LE MAIL
$nom=stripslashes($nom);
$texte ="Un vnement en attente post par : $the_user\n\n";
$texte .="Nom de l'vnement : $nom\n\n";
$texte .="Connectez vous  l'interface d'administration pour valider ou rejeter cet vnement.\n\n";
$texte .="http://$server/$path_agenda/admin";
$tab=explode(".",$server);
if (isset($tab[1]) AND isset($tab[2]))
{
$server=array("$tab[1]","$tab[2]");
$server=implode(".",$server);
$test_serveur=1;
}
$query="SELECT email FROM $table_users WHERE email LIKE '%@%' AND gerer = '1'";
$result=mysql_query($query);
while($ligne=mysql_fetch_array($result))
{
$adresse=$ligne['email'];
if ($email_exp)
{
$headers = "From: $email_exp\n";
$headers .= "MIME-Version: 1.0\n";
$headers .= "Content-type: text/plain; charset=iso-8859-1\n";
}
elseif ($test_serveur AND ($server != "free.fr"))
{
$headers = "From: webmaster@{$server}\n";
$headers .= "MIME-Version: 1.0\n";
$headers .= "Content-type: text/plain; charset=iso-8859-1\n";
}
else
{
$headers .= "MIME-Version: 1.0\n";
$headers .= "Content-type: text/plain; charset=iso-8859-1\n";
}
@mail("$adresse", "XLAgenda - Evnement en attente", $texte, $headers);
}
}
}
}
$nom = stripslashes($nom);
echo "<p class=\"confirmation\">L'&eacute;v&eacute;nement <b>$nom</b> a &eacute;t&eacute; ajout&eacute;.</p>\n";
$date_debut="jj/mm/aaaa";
$date_fin="jj/mm/aaaa";
$heure_debut="hh:mm";
$heure_fin="hh:mm";
}
}
if (!$auth_actif)
{
echo "<p><b>Votre &eacute;v&eacute;nement sera ajout&eacute; &agrave; l'agenda apr&egrave;s validation par un administrateur.</b></p>\n";
}
echo "<p>Les champs suivis d'un * sont obligatoires.</p>\n";
if ($erreur)
{
$nom=stripslashes($nom);
$description=stripslashes($description);
$lieu=stripslashes($lieu);
$contact=stripslashes($contact);
$adresse=stripslashes($adresse);
$telephone=stripslashes($telephone);
$fax=stripslashes($fax);
$lien=stripslashes($lien);
}
?>
<form name="chooseDateForm" id="chooseDateForm" action="ajouter.php" method="post" onSubmit="return verifierFormulaire(this)">
	<h3>Dates et heures de l'&eacute;v&eacute;nement</h3>
	<p>
		<label for="date_debut">Date de d&eacute;but : *</label><br>
		<input type="text" name="date_debut" id="date_debut" value="<?php echo $date_debut ?>" class="date-pick">
	</p>
	<hr style="visibility:hidden;clear:both;">
		<p><label for="heure_debut">Heure de d&eacute;but :</label><br>
		<input type="text" name="heure_debut" value="<?php echo $heure_debut ?>" id="heure_debut">
	</p>
	<p>
		<label for="date_fin">Date de fin :</label>
		<br>
		<input type="text" name="date_fin" id="date_fin" value="<?php echo $date_fin ?>" class="date-pick">
	</p>
	<hr style="visibility:hidden;clear:both;">
	<p>
		<label for="heure_fin">Heure de fin :</label><br>
		<input type="text" name="heure_fin" value="<?php echo $heure_fin ?>" id="heure_fin">
	</p>  
	<h3>Informations sur l'&eacute;v&eacute;nement</h3>
	<p>
		<label for="nom">Nom de l'&eacute;v&eacute;nement : *</label><br>
		<input name="nom" type="text" id="nom" value="<?php if ($erreur) echo $nom ?>" size="80">
	</p>
	<p>
		<label for="description">Description de  l'&eacute;v&eacute;nement : *</label>
		<br>
		<textarea name="description" cols="80" rows="5" id="description"><?php if ($erreur) echo $description ?></textarea>
	</p>
	<p>
		<label for="categorie">Cat&eacute;gorie : *</label><br>
		<select name="categorie" id="categorie">
			<option value="0" selected>-- S&eacute;lectionner --</option>
			<?php
			//CONSTRUCTION DU MENU CATEGORIES
			$query="SELECT * FROM $table_categories WHERE actif = '1' ORDER BY nom ASC";
			$result=mysql_query($query);
			if($result)
			{
			while($ligne=mysql_fetch_array($result))
			{
			$id=$ligne['id'];
			$nom=$ligne['nom'];
			if (($erreur) AND ($categorie == $id))
			{
			echo "<option value=\"$id\" selected>$nom</option>\n";
			}
			else
			{
			echo "<option value=\"$id\">$nom</option>\n";
			}
			}
			}
			?>
		</select>
	</p>
	<p>
		<label for="lieu">Lieu :</label><br>
		<input name="lieu" type="text" id="lieu" value="<?php if ($erreur) echo $lieu ?>" size="80">
	</p>
	<h3>Coordonn&eacute;es du contact</h3>
	<p>
		<label for="contact">Contact :</label><br>
		<input name="contact" type="text" id="contact" value="<?php if ($erreur) echo $contact ?>" size="80">
	</p>
	<p>
	  <label for="adresse">Adresse postale :</label><br>
	  <input name="adresse" type="text" id="adresse" value="<?php if ($erreur) echo $adresse ?>" size="80">
	</p>
	<p>
		<label for="email">Adresse email :</label><br>
		<input name="email" type="text" id="email" value="<?php if ($erreur) echo $email ?>" size="80">
	</p>
	  <p><label for="telephone">T&eacute;l&eacute;phone :</label><br>
		<input name="telephone" type="text" id="telephone" value="<?php if ($erreur) echo $telephone  ?>" size="20">
	  </p>
	<p>
		<label for="fax">Fax :</label><br>
		<input name="fax" type="text" id="fax" value="<?php if ($erreur) echo $fax ?>" size="20">
	  </p>
	  <h3>Lien</h3>
	<p>
		<label for="lien">Texte du lien :</label><br>
		<input name="lien" type="text" id="lien" value="<?php if ($erreur) echo $lien ?>" size="80">
	</p>
	<p>
		<label for="url">URL :</label><br>
		<?php
		if ((!$url) OR (!$erreur))
		{
		$url="http://";
		}
		?>
		<input name="url" type="text" id="url" value="<?php echo $url ?>" size="80">
	</p>
	<p> 
		<input type="submit" name="Submit2" value="Ajouter">
		<input name="envoye" type="hidden" id="envoye" value="1">
	</p>
</form>
<p>
	&gt; <a href="index.php">Menu principal</a><br>
	&gt; <a href="close.php">D&eacute;connexion</a>
</p>
<?php
}
include("footer.php");
?>