<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$id=(isset($_GET['id'])) ? $_GET['id'] : Null;
//CONTROLE DE LA VALIDITE DES ID
if (isset($id) AND (!is_numeric($id)))
{
die();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<link rel="stylesheet" href="../include/datepicker/datepicker.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script type="text/javascript" src="../include/datepicker/datepicker.js"></script>
<script type="text/javascript" src="../include/date.js"></script>
<script type="text/javascript" src="../include/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="../include/check_event.js"></script>
<script type="text/javascript">
<!--
$(function()
{
	$('.date-pick').datePicker({startDate:'01/01/2009'});
});
<?php
if ($editeur_html)
{
?>
tinyMCE.init({
	mode: "exact",
	elements : "description",
	theme : "simple",
	language : "fr"
});
<?php
}
?>
-->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('valider');
$auth=isAutorise($auth);
$auth_valider=$auth['valider'];
if (!$auth_valider)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
$query="SELECT * FROM $table_agenda WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$id=$ligne["id"];
$date_debut=$ligne["date_debut"];
$date_fin=$ligne["date_fin"];
$heure_debut=$ligne["heure_debut"];
$heure_fin=$ligne["heure_fin"];
$nom=$ligne["nom"];
$description=$ligne["description"];
$categorie=$ligne["categorie"];
$lieu=$ligne["lieu"];
$contact=$ligne["contact"];
$adresse=$ligne["adresse"];
$email=$ligne["email"];
$telephone=$ligne["telephone"];
$fax=$ligne["fax"];
$lien=$ligne["lien"];
$url=$ligne["url"];
$date_debut=formaterDate($date_debut);
$date_fin=formaterDate($date_fin);
$heure_debut=formaterHeure($heure_debut);
$heure_fin=formaterHeure($heure_fin);
$nom=stripslashes($nom);
$description=stripslashes($description);
$lieu=stripslashes($lieu);
$contact=stripslashes($contact);
$adresse=stripslashes($adresse);
$telephone=stripslashes($telephone);
$fax=stripslashes($fax);
$lien=stripslashes($lien);
if (!$url)
{
$url="http://";
}
}
?>
<form name="chooseDateForm" id="chooseDateForm" method="post" action="valider1.php" onSubmit="return verifierFormulaire(this)">
  <h2>Valider les &eacute;v&eacute;nements en attente</h2>
  <p>&gt; <a href="valider1.php">Annuler</a></p>
  <h3>Dates et heures de l'&eacute;v&eacute;nement</h3>
	<p>
		<label for="date_debut">Date de d&eacute;but : *</label><br>
		<input type="text" name="date_debut" id="date_debut" value="<?php echo $date_debut ?>" class="date-pick">
	</p>
	<hr style="visibility:hidden;clear:both;">
		<p><label for="heure_debut">Heure de d&eacute;but :</label><br>
		<input type="text" name="heure_debut" value="<?php echo $heure_debut ?>" id="heure_debut">
	</p>
	<p>
		<label for="date_fin">Date de fin :</label>
		<br>
		<input type="text" name="date_fin" id="date_fin" value="<?php echo $date_fin ?>" class="date-pick">
	</p>
	<hr style="visibility:hidden;clear:both;">
	<p>
		<label for="heure_fin">Heure de fin :</label><br>
		<input type="text" name="heure_fin" value="<?php echo $heure_fin ?>" id="heure_fin">
	</p>
	<h3>Informations sur l'&eacute;v&eacute;nement</h3>
	<p>
		<label for="nom">Nom de l'&eacute;v&eacute;nement : *</label><br>
		<input name="nom" type="text" id="nom" value="<?php echo $nom ?>" size="80">
	</p>
	<p>
		<label for="description">Description de  l'&eacute;v&eacute;nement : *</label>
		<br>
		<textarea name="description" cols="80" rows="5" id="description"><?php echo $description ?></textarea>
	</p>
	<p>
		<label for="categorie">Cat&eacute;gorie : *</label><br>
		<select name="categorie" id="categorie">
			<option value="0" selected>-- S&eacute;lectionner --</option>
			<?php
			//CONSTRUCTION DU MENU CATEGORIES
			$query="SELECT * FROM $table_categories ORDER BY nom ASC";
            $result=mysql_query($query);
			if($result)
			{
			while($ligne=mysql_fetch_array($result))
			{
			$numero=$ligne["id"];
			$nom=$ligne["nom"];
			$actif=$ligne['actif'];
			if ($categorie == $numero)
			{
			echo "<option value='$numero' selected>$nom</option>\n";
			}
			elseif ($actif)
			{
			echo "<option value='$numero'>$nom</option>\n";
			}
			}
			}
			?>
		</select>
	</p>
	<p>
		<label for="lieu">Lieu :</label><br>
		<input name="lieu" type="text" id="lieu" value="<?php echo $lieu ?>" size="80">
	</p>
	<h3>Coordonn&eacute;es du contact</h3>
	<p>
		<label for="contact">Contact :</label><br>
		<input name="contact" type="text" id="contact" value="<?php echo $contact ?>" size="80">
	</p>
	<p>
	  <label for="adresse">Adresse postale :</label><br>
	  <input name="adresse" type="text" id="adresse" value="<?php echo $adresse ?>" size="80">
	</p>
	<p>
		<label for="email">Adresse email :</label><br>
		<input name="email" type="text" id="email" value="<?php echo $email ?>" size="80">
	</p>
	  <p><label for="telephone">T&eacute;l&eacute;phone :</label><br>
		<input name="telephone" type="text" id="telephone" value="<?php echo $telephone  ?>" size="20">
	  </p>
	<p>
		<label for="fax">Fax :</label><br>
		<input name="fax" type="text" id="fax" value="<?php echo $fax ?>" size="20">
  </p>
	  <h3>Lien</h3>
	<p>
		<label for="lien">Texte du lien :</label><br>
		<input name="lien" type="text" id="lien" value="<?php echo $lien ?>" size="80">
	</p>
	<p>
		<label for="url">URL :</label><br>
		<input name="url" type="text" id="url" value="<?php echo $url ?>" size="80">
	</p>
  <p> 
    <input type="submit" name="modifier_event" value="Modifier">
	<input type="submit" name="modifier_valider_event" value="Modifier et valider">
    <input type="hidden" name="id" value="<?php echo $id ?>">
  </p>
</form>
<p>&gt; <a href="index.php">Menu principal</a><br>
  &gt; <a href="close.php">D&eacute;connexion</a></p>
<?php
}
include('footer.php');
?>